package com.ruoyi.syzy.service.impl;

import java.util.List;

import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.syzy.mapper.BCustomerUniversitiesMapper;
import com.ruoyi.syzy.domain.BCustomerUniversities;
import com.ruoyi.syzy.service.IBCustomerUniversitiesService;

/**
 * 客户院校收藏Service业务层处理
 * 
 * @author voluntary
 * @date 2023-10-25
 */
@Service
public class BCustomerUniversitiesServiceImpl implements IBCustomerUniversitiesService 
{
    @Autowired
    private BCustomerUniversitiesMapper bCustomerUniversitiesMapper;

    /**
     * 查询客户院校收藏
     * 
     * @param id 客户院校收藏主键
     * @return 客户院校收藏
     */
    @Override
    public BCustomerUniversities selectBCustomerUniversitiesById(Long id)
    {
        return bCustomerUniversitiesMapper.selectBCustomerUniversitiesById(id);
    }

    /**
     * 查询客户院校收藏列表
     * 
     * @param bCustomerUniversities 客户院校收藏
     * @return 客户院校收藏
     */
    @Override
    public List<BCustomerUniversities> selectBCustomerUniversitiesList(BCustomerUniversities bCustomerUniversities)
    {
        return bCustomerUniversitiesMapper.selectBCustomerUniversitiesList(bCustomerUniversities);
    }

    /**
     * 新增客户院校收藏
     * 
     * @param bCustomerUniversities 客户院校收藏
     * @return 结果
     */
    @Override
    public int insertBCustomerUniversities(BCustomerUniversities bCustomerUniversities)
    {
        bCustomerUniversities.setCreateTime(DateUtils.getNowDate());
        return bCustomerUniversitiesMapper.insertBCustomerUniversities(bCustomerUniversities);
    }

    /**
     * 修改客户院校收藏
     * 
     * @param bCustomerUniversities 客户院校收藏
     * @return 结果
     */
    @Override
    public int updateBCustomerUniversities(BCustomerUniversities bCustomerUniversities)
    {
        return bCustomerUniversitiesMapper.updateBCustomerUniversities(bCustomerUniversities);
    }

    /**
     * 批量删除客户院校收藏
     * 
     * @param ids 需要删除的客户院校收藏主键
     * @return 结果
     */
    @Override
    public int deleteBCustomerUniversitiesByIds(Long[] ids)
    {
        return bCustomerUniversitiesMapper.deleteBCustomerUniversitiesByIds(ids);
    }

    /**
     * 删除客户院校收藏信息
     * 
     * @param id 客户院校收藏主键
     * @return 结果
     */
    @Override
    public int deleteBCustomerUniversitiesById(Long id)
    {
        return bCustomerUniversitiesMapper.deleteBCustomerUniversitiesById(id);
    }
}
